program mym0;
uses mtx09;
var
 x:array[1..6] of double = (1.0,2.0,3.0,4.0,5.0,6.0);
 _x:mtx; // possible convention to identify static memory mapped mtx
begin
  mym(_x,x[1],3,2);      // _x cannot get bigger than 6 elements
  mwr(_x);               // but it can be smaller;
  equ(_x,'10 20');       // _x behaves as any plain (dynamic) mtx;
  mwr(_x);               // now row vector size 2
  x[2] := x[1] + x[2]/3; // x and _x access to the same data
  mwr(_x)                //
end.
